Overview Features Instructions Performance Forum Downloads Products Reseller Contact

Welcome to the Apollo Forum

This forum is for people interested in the APOLLO CPU.
Please read the forum usage manual.
VISIT APOLLO IRC CHANNEL



All TopicsNewsPerformanceGamesDemosApolloVampireCoffinReleases

Roadmap for Apollo & Vampire2page  1 2 3 4 5 

Amiga 4Life

Posts 54
29 Aug 2016 08:24


yeah, that was a interesting interview. The Vampire standalone will be something Minimig but with
    Apollo/Saga power...There will be no legacy ports just hdmi,ide,sd-card,joy-stick,mouse...I didn't
    hear Gunnar say anything about expansion busses (so there is a built in limit)....it may only need a trap door for the rom chips...its more like a classic Amiga with modern ports, design to attract New Amigans...Vampire standalone should help expand the amount of users in the classic market....(imo)
   
    Vampire standalone is for ....
    1. current Amigans who dont want to deal with legacy hardware..(they dont do expansions/never open their Amiga)
    2. current Amigans who want more hadware the capable of utilizing Amiga roms....
    3. People (exAmigan) who have been watching Amiga from the outside, this is a quick way to get into the Amiga scene
    4. People who want to experience the original Amiga concept but with more cpu power,faster ram,Aga chipset with higher bandwidth.


Tango One

Posts 89
29 Aug 2016 11:43


Standalone:

Will it use AmigaOS 3.x. ?


Marlon Beijer

Posts 112
29 Aug 2016 12:23


tango one wrote:

Standalone:
 
  Will it use AmigaOS 3.x. ?

It will most likely be compatible.


Szyk Cech

Posts 161
29 Aug 2016 13:11


tango one wrote:

Standalone:
 
  Will it use AmigaOS 3.x. ?

No! Only Linux can handle this machine (because it will be incredible fast).


Samuel Crow

Posts 290
29 Aug 2016 14:59


Szyk Cech wrote:

tango one wrote:

  Standalone:
 
  Will it use AmigaOS 3.x. ?
 

  No! Only Linux can handle this machine (because it will be incredible fast).

Huh?  Linux isn't a priority on single-core systems nowadays.  Did you mean AROS?  Even if you meant Linux for real, it would have to be ucLinux to be able to boot without a fancy MMU.


Marlon Beijer

Posts 112
29 Aug 2016 15:09


Samuel Crow wrote:

Szyk Cech wrote:

 
tango one wrote:

  Standalone:
   
    Will it use AmigaOS 3.x. ?
 

  No! Only Linux can handle this machine (because it will be incredible fast).
 

  Huh?  Linux isn't a priority on single-core systems nowadays.  Did you mean AROS?  Even if you meant Linux for real, it would have to be ucLinux to be able to boot without a fancy MMU.

I think he was sarcastic. :P


John William

Posts 246
29 Aug 2016 18:36


Samuel Crow wrote:

Szyk Cech wrote:

 
tango one wrote:

  Standalone:
   
    Will it use AmigaOS 3.x. ?
 

  No! Only Linux can handle this machine (because it will be incredible fast).
 

  Huh?  Linux isn't a priority on single-core systems nowadays.  Did you mean AROS?  Even if you meant Linux for real, it would have to be ucLinux to be able to boot without a fancy MMU.

You ruined the joke! -_- As I was scrolling down I was expecting a LOL remark or something like that...instead...this!! * shakes head *


Thierry Atheist

Posts 618
29 Aug 2016 19:36


Szyk Cech wrote:

tango one wrote:

Standalone:

Will it use AmigaOS 3.x. ?


No! Only Linux can handle this machine (because it will be incredible fast).

Gee,... this being the newly anointed FLAGSHIP AMIGA, sure would hope that AOS1.3 thru 3.9 work on it?!!!!

Do you know the amount of PROUDNESS that one could feel when showing off their standalone Vampire ][ Apollo cored AMIGA to others? And it's not about "what it can't do", but what it CAN, with ALL of the multitude of things working AGAINST IT being at all if EVER possible* !!!!!!

It will humiliate all of the alternatives.

p.s. Oh, and LOL ;-)

* to have been built and distributed


Samuel Crow

Posts 290
29 Aug 2016 20:25


@Thierry Atheist

The existing Apollo accelerators come with a patched Kickstart 3.1 image in Flash memory.


Alan Haynes

Posts 89
29 Aug 2016 23:53


Samuel Crow wrote:

@Thierry Atheist
 
  The existing Apollo accelerators come with a patched Kickstart 3.1 image in Flash memory.

I "assume" that is the reason we provide Kipper2k with a rom image.

I am fortunate that I have several 'legal' (purchased by me) versions of Amiga Forever from which to take those images.

If this is all correct then what happens if we need to downgrade the OS for compatibility reasons to KS1.3 for example? Is a program such as Degrader sufficient?
Do we also reach a stage in some games where the speed of Vampire 2 is also a problem and we might want to slow the system down?

Cheers from Oz


Szyk Cech

Posts 161
30 Aug 2016 16:22


Alan Haynes wrote:

  Do we also reach a stage in some games where the speed of Vampire 2 is also a problem and we might want to slow the system down?

You should write report to the developers of that games with note that they games are crazy fast on the best turbo card ever (Vampire). Please do this instead bother the Team... You should realize that team is small so they simply can't fix all broken games...
Personally I prefer better tested core than one fixed lame game...


John William

Posts 246
30 Aug 2016 18:18


Szyk Cech wrote:

Alan Haynes wrote:

  Do we also reach a stage in some games where the speed of Vampire 2 is also a problem and we might want to slow the system down?
 

  You should write report to the developers of that games with note that they games are crazy fast on the best turbo card ever (Vampire). Please do this instead bother the Team... You should realize that team is small so they simply can't fix all broken games...
  Personally I prefer better tested core than one fixed lame game...

Uuuh.....I would have thought you would have recommended Alan Haynes not to bother with slowing the system down or anything or using these downgrade program but to use....I don't know....WHDLOAD?


Szyk Cech

Posts 161
30 Aug 2016 19:27


John William wrote:

  Uuuh.....I would have thought you would have recommended Alan Haynes not to bother with slowing the system down or anything or using these downgrade program but to use....I don't know....WHDLOAD?

WHDLOAD will help but not in all cases...


Alan Haynes

Posts 89
31 Aug 2016 07:13


Szyk Cech wrote:

John William wrote:

  Uuuh.....I would have thought you would have recommended Alan Haynes not to bother with slowing the system down or anything or using these downgrade program but to use....I don't know....WHDLOAD?
 

 
  WHDLOAD will help but not in all cases...

Whoa guys!!
Lets get on track with what I am asking.
For a start I don't have a Vampire 2 card as it is not yet released for the a500/a500+/a2000. So how would I know if the games that I want to play run at the right speed. From comments I have already read on this forum it would appear as if some games may run too fast. After all this should run any 68k program but a hell of a lot faster than the programmers intended or probably dreamt an Amiga could run. And what about those that only work on KS 1.3. Do we just give them the flick or do I keep an a500 with ks1.3 just for them. I seem to have read that the os could be downgraded but I am not sure.
As far as WHDLOAD goes and I am not judging anyone but aren't those games cracked. Now as I said I am not judging anyone and I may use it my self but from my experience some cracked games seem to have little bugs in them. Take for example: Desert Strike. My original copy works fine but the cracked one I have been using until I can dig out the original has a bug in the first level where the 2 soldiers near the power station in the little pit remain there if they get killed but you can't rescue them. Maybe that is not in the WHDLOAD bundle.
I think we would serve the whole community better if we just tried to answer the questions put forward if we can. If we can't that is fine but  we should not judge what others want to use their Amiga's for. Isn't that why we all bought them in the first place because we saw something in Amy that fitted in with our dreams of what we wanted to do with these marvelous creations. Possibly the answers to my questions could have been; No you can't slow it down and No you can't downgrade the OS. That would have been sufficient.

Thanks guys for your help but as you probably can see now you did not actually answer my questions.

Cheers from Oz


Niels Boehm

Posts 5
31 Aug 2016 11:23


Alan Haynes wrote:

  As far as WHDLOAD goes and I am not judging anyone but aren't those games cracked. Now as I said I am not judging anyone and I may use it my self but from my experience some cracked games seem to have little bugs in them.

Seems a little explanation is in order here.
The classical intent and way to use WHDload is this:

* You have some game on _original_ disks without a way to install it onto HD.
* You download and install WHDload.
* You search a WHDload slave for that particular game in the database and download the slave.
* You run the installer for the slave.
* The installer will ask you to insert the original disks. It will ONLY accept the original disks (it compares the checksums).
* The installer will create images from your original disks.
* The installer or slave will patch out possible copy protection stuff (so technically it cracks the game, yes, but you have the original disks).
* The installer or slave will possibly apply other patches to make the game run better or at all on more capable hardware.
* You run WHDload with the slave to play the game.

So no, it won't inherit bugs from badly cracked versions as it insists on pristine disks.

Also, you're safe from a legal POV as you're just installing from your own originals. Well, that is unless you download preinstalled WHDload slaves complete with the images from the net, of course.



Ulf Andersson

Posts 29
31 Aug 2016 11:54



And what about those that only work on KS 1.3. Do we just give them the flick or do I keep an a500 with ks1.3 just for them.
[/quote

Well WHDLoad is "loading" the kickstart that it need from "devs/kickstarts" and "downgrading". You have to put the desired kickstart there.




Alan Haynes

Posts 89
31 Aug 2016 12:28


Well!

Thankyou Niels for a very detailed answer to the WHDLOAD question. I actually understand that and could follow along.

Great answer and

Thankyou Ulf for a short but easy answer. I guess if I had looked more closely at WHDLOAD I would have found out but that is what community is about.
Thanks gentleman and May the Vampire be with you.

Cheers from Oz



Szyk Cech

Posts 161
31 Aug 2016 12:35


@Alan Haynes
  If you want "slow down" Vampire (e.g. set core multiplier from x11 to x1) you must realize that it will not work as A500 due to super scalar Apollo architecture. So maybe you want disable them at all by custom software. AFAIK it is not possible at the moment, but maybe it will be possible in the future.
  I have no idea how will old kickstarts (e.g. 1.3 or 2.05) work with Vampire. But I suppose that it is possible.


Alan Haynes

Posts 89
01 Sep 2016 10:56


Szyk Cech wrote:

@Alan Haynes
  If you want "slow down" Vampire (e.g. set core multiplier from x11 to x1) you must realize that it will not work as A500 due to super scalar Apollo architecture. So maybe you want disable them at all by custom software. AFAIK it is not possible at the moment, but maybe it will be possible in the future.
  I have no idea how will old kickstarts (e.g. 1.3 or 2.05) work with Vampire. But I suppose that it is possible.

I was only speculating if it was possible to downgrade speed and chipset version. I never said I wanted to do it. I am only thinking about some Amiga users including my self who may have games that use ks 1.2 with .5meg of chip and .5meg of fast ram. One game I do have is from the Dungeon's and Dragons collection called "Heroes of the Lance". I had to get a ks 1.2 rom to even play it with only .5meg chipmem and no fast mem. I am not that concerned and it certainly won't stop me from getting 2 x Vampire 500 Black edition with gold core add-on cards and then a Stand alone Vampire Amiga when they are available. But I think some of these issues may impact those who may want to upgrade.
all I want for Christmas is my Vampire 2 a500 Black edition with the Gold core.

Cheers from Oz



Szyk Cech

Posts 161
01 Sep 2016 12:20


Alan Haynes wrote:

  all I want for Christmas is my Vampire 2 a500 Black edition with the Gold core.

I wish your dreams came true...

posts 90page  1 2 3 4 5